Bug 63356 - Not possible for plug-ins to override the internal PDF viewer
Summary: Not possible for plug-ins to override the internal PDF viewer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-24 14:54 PDT by Anders Carlsson
Modified: 2011-06-24 15:35 PDT (History)
1 user (show)

See Also:


Attachments
Patch (5.43 KB, patch)
2011-06-24 15:00 PDT, Anders Carlsson
kdecker: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2011-06-24 14:54:11 PDT
Not possible for plug-ins to override the internal PDF viewer
Comment 1 Anders Carlsson 2011-06-24 15:00:17 PDT
Created attachment 98546 [details]
Patch
Comment 2 Anders Carlsson 2011-06-24 15:03:59 PDT
Committed r89706: <http://trac.webkit.org/changeset/89706>
Comment 3 Alexey Proskuryakov 2011-06-24 15:25:36 PDT
Comment on attachment 98546 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98546&action=review

> Source/WebKit2/WebProcess/WebProcess.cpp:739
> +    // If a plug-in exists that claims to support this response, it should take precedence over the custom representation.

Why? Is that the case in WebKit1?

See e.g. bug 10015 comment 7.
Comment 4 Anders Carlsson 2011-06-24 15:35:57 PDT
(In reply to comment #3)
> Why? Is that the case in WebKit1?
> 
> See e.g. bug 10015 comment 7.

With full-frame plug-ins yes.